> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vetcove.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Partially update a clinic client user

> Partially updates a clinic client user with the given information. Only fields included in the request body will be updated; omitted fields are left unchanged.



## OpenAPI

````yaml patch /ext/v2/clinic-client-users/{clinic_client_user_id}/
openapi: 3.1.0
info:
  description: ''
  title: NinjaAPI
  version: 2.0.0
servers:
  - url: https://connect.vetcove.com/
security: []
paths:
  /ext/v2/clinic-client-users/{clinic_client_user_id}/:
    patch:
      tags:
        - Clients And Patients
      summary: Partially update a clinic client user
      description: >-
        Partially updates a clinic client user with the given information. Only
        fields included in the request body will be updated; omitted fields are
        left unchanged.
      operationId: clinic_client_users_patch
      parameters:
        - description: The ID of the clinic client user to retrieve or update
          in: path
          name: clinic_client_user_id
          required: true
          schema:
            description: The ID of the clinic client user to retrieve or update
            title: Clinic Client User Id
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExternalClinicClientUserPatchSchema'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExternalClinicClientUserSchema'
          description: OK
      security:
        - ExternalAPIAuth: []
components:
  schemas:
    ExternalClinicClientUserPatchSchema:
      description: Schema for updating a ClientUser
      properties:
        custom_relationship:
          anyOf:
            - maxLength: 100
              type: string
            - type: 'null'
          description: >-
            A custom relationship description. Should be used when
            relationship_kind is 'Other'.
          title: Custom Relationship
        email:
          anyOf:
            - format: email
              type: string
            - type: 'null'
          description: The email address of the clinic client user.
          title: Email
        first_name:
          anyOf:
            - maxLength: 30
              minLength: 1
              type: string
            - type: 'null'
          description: The first name of the clinic client user.
          title: First Name
        last_name:
          anyOf:
            - maxLength: 30
              minLength: 1
              type: string
            - type: 'null'
          description: The last name of the clinic client user.
          title: Last Name
        phone_number:
          anyOf:
            - type: string
            - type: integer
            - type: 'null'
          description: >-
            The phone number of the clinic client user. Must be exactly 10
            digits.
          title: Phone Number
        relationship_kind:
          anyOf:
            - $ref: '#/components/schemas/CoOwnerRelationshipKind'
            - const: ''
              type: string
            - type: 'null'
          description: >-
            The type of relationship this clinic client user has to the client
            account.
          title: Relationship Kind
      title: ExternalClinicClientUserPatchSchema
      type: object
    ExternalClinicClientUserSchema:
      properties:
        clinic_client_id:
          description: The ID of the clinic client this clinic client user belongs to
          title: Clinic Client Id
          type: integer
        created:
          description: The datetime this object was created.
          format: date-time
          title: Created
          type: string
        custom_relationship:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            A custom relationship description if relationship_kind is set to
            'Other'.
          title: Custom Relationship
        deleted:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: The datetime this record was soft deleted.
          title: Deleted
        email:
          anyOf:
            - type: string
            - type: 'null'
          description: The primary email address of the clinic client user.
          title: Email
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          description: The first name of the clinic client user.
          title: First Name
        id:
          description: The ID of the clinic client user
          title: Id
          type: integer
        is_deleted:
          description: Whether this record is soft deleted or not.
          title: Is Deleted
          type: boolean
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          description: The last name of the clinic client user.
          title: Last Name
        modified:
          description: >-
            The datetime this object was last modified; changes to related
            entities will not update this field.
          format: date-time
          title: Modified
          type: string
        phone_number:
          anyOf:
            - type: integer
            - type: 'null'
          description: The primary phone number of the clinic client user.
          title: Phone Number
        relationship_kind:
          anyOf:
            - $ref: '#/components/schemas/CoOwnerRelationshipKind'
            - const: ''
              type: string
            - type: 'null'
          description: >-
            The type of relationship this clinic client user has to the clinic
            client account.
          title: Relationship Kind
      required:
        - created
        - modified
        - is_deleted
        - deleted
        - id
        - clinic_client_id
      title: ExternalClinicClientUserSchema
      type: object
    CoOwnerRelationshipKind:
      enum:
        - SPOUSE
        - PARTNER
        - PARENT
        - CHILD
        - SIBLING
        - OTHER
      title: CoOwnerRelationshipKind
      type: string
  securitySchemes:
    ExternalAPIAuth:
      scheme: bearer
      type: http

````